import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';
import industry4_1 from '@/assets/images/industryNew/industry4-1.png';
import industry4_2 from '@/assets/images/industryNew/industry4-2.png';
import industry4_3 from '@/assets/images/industryNew/industry4-3.png';

const Advertisement: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '30px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
    fontWeight: 400,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
  };

  const commonStyle = {
    // marginBottom: '-10px'
    marginTop: '-10px',
    padding: '10px 0 0 10px'
  }

  return (
    <div className={styles.container}>
      <DescriptionItem
        value={1231}
        name="本月发现问题"
        unit="件"
        valueStyle={commonValueStyle}
        labelStyle={commonLabelStyle}
        unitStyle={commonUnitStyle}
        decimals={0}
        style={{width: '205px'}}
        direction={'horizontal'}
      />

      <Flex gap={10}>
        <div className={styles.dataBox}>
          <img src={industry4_1} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={56.01}
            name="共享单车投放"
            unit="万辆"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={2}
            style={commonStyle}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry4_2} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={100}
            name="门前五包签约率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
            style={commonStyle}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry4_3} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={34.60}
            name="批准设置广告招牌"
            unit="万个"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={2}
            style={commonStyle}
          />
        </div>
      </Flex>
    </div>
  );
};

export default Advertisement; 