import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';
import industry3_1 from '@/assets/images/industryNew/industry3-1.png';
import industry3_2 from '@/assets/images/industryNew/industry3-2.png';

const CityLighting: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '30px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
    fontWeight: 400,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
  };
  
  const commonStyle = {
    // marginBottom: '-10px'
    marginTop: '-10px',
    padding: '0px 0 0 10px'
  }

  return (
    <div className={styles.container}>
      {/* 灯盏数统计 */}
      <DescriptionItem
        value={12.56}
        name="市管功能照明灯盏数"
        unit="万盏"
        valueStyle={commonValueStyle}
        labelStyle={commonLabelStyle}
        unitStyle={commonUnitStyle}
        decimals={2}
        direction={'horizontal'}
        style={{width: '265px', marginBottom: '6px'}}
      />

      {/* 数据展示区 */}
      <Flex gap={20}>
        <div className={styles.dataBox}>
          <img src={industry3_1} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={87.12}
            name="昨日亮灯率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={2}
            style={commonStyle}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry3_2} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={15}
            name="昨日故障数"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
            style={commonStyle}
          />
        </div>
      </Flex>
    </div>
  );
};

export default CityLighting; 