import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';
import industry1_1 from '@/assets/images/industryNew/industry1-1.png';
import industry1_2 from '@/assets/images/industryNew/industry1-2.png';

const EnvironmentalHealth: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '30px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
    fontWeight: 400,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
  };

  const commonStyle = {
    // marginBottom: '-10px'
    marginTop: '-10px',
    padding: '0px 0 0 10px'
  }

  return (
    <div className={styles.container}>
      {/* 问题统计 */}
      <DescriptionItem
        value={1231}
        name="本月发现问题"
        unit="件"
        valueStyle={commonValueStyle}
        labelStyle={commonLabelStyle}
        unitStyle={commonUnitStyle}
        style={{width: '205px'}}
        decimals={0}
        direction={'horizontal'}
      />

      {/* 数据展示区 */}
      <Flex gap={20}>
        <div className={styles.dataBox}>
          <img src={industry1_1} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={14.05}
            name="环卫车辆"
            unit="万辆"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            style={commonStyle}
            decimals={2}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry1_2} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={23.08}
            name="环卫人员"
            unit="万人"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            style={commonStyle}
            decimals={2}
          />
        </div>
      </Flex>
    </div>
  );
};

export default EnvironmentalHealth; 