import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';
import industry6_1 from '@/assets/images/industryNew/industry6-1.png';
import industry6_2 from '@/assets/images/industryNew/industry6-2.png';
import industry6_3 from '@/assets/images/industryNew/industry6-3.png';

const LawEnforcement: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '30px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
    fontWeight: 400,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '16px',
  };

  return (
    <div className={styles.container}>
      <Flex gap={20}>
        <div className={styles.dataBox}>
          <img src={industry6_1} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={831}
            name="本月行政处罚"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry6_2} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={831}
            name="本月市区协同"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </div>
        <div className={styles.dataBox}>
          <img src={industry6_3} alt="" className={styles.bgImage} />
          <DescriptionItem
            value={831}
            name="今日日常巡查"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </div>
      </Flex>
    </div>
  );
};

export default LawEnforcement; 